<?php 
namespace Concrete\Package\CcOptinFree\Controllers;

use Loader;

use Concrete\Package\CcOptinFree\CcOptin;
use Concrete\Package\CcOptinFree\CcOptinDate;
use Concrete\Package\CcOptinFree\Models\CcOptinType;
use Concrete\Package\CcOptinFree\Models\CcOptinTemplate;

$showMenu = array(
	1 => t('first'),
	2 => t('second'),
	3 => t('third'),
	4 => t('fourth'),
	5 => t('fifth'),
	6 => t('sixth'),
	7 => t('seventh'),
	8 => t('eighth'),
	9 => t('ninth'),
	10 => t('tenth')
);

$hideMenu = array(
	2 => t('second'),
	3 => t('third'),
	4 => t('fourth'),
	5 => t('fifth'),
	6 => t('sixth'),
	7 => t('seventh'),
	8 => t('eighth'),
	9 => t('ninth'),
	10 => t('tenth')
);

$campaignDialogSize = CcOptin::campaignDialogSize();
$contentDialogSize = CcOptin::contentDialogSize();

$form = Loader::helper('form');
$pageSelector = Loader::helper('form/page_selector');
$pageSelector2 = Loader::helper('form/page_selector');
$dtt = Loader::helper('form/date_time');
$date = Loader::helper('date');

$campaignIsNew = !$campaign->id;


?>

<div class="ccm-ui topbar">
	<div class="btn-group" id="campaign-actions">
	  <button type="button" class="btn btn-warning dropdown-toggle" role="button" data-toggle="dropdown">
	    <?php  echo t('Campaign actions') ?>
	    <span class="caret"></span>
	  </button>
	  <ul class="dropdown-menu pull-right" role="menu">
	    <li>
	    	<a id="reset-campaign-button" href="javascript:void(0)">
	    		<?php  echo t('Reset campaign cookie')?>
	    		<i class="fa fa-lg fa-question-circle" data-toggle="tooltip" data-placement="left" data-container=".ui-dialog"
	    		data-title="<?php  echo t('Clears the campaign cookie so all visitors can see the campaign again.') ?>"></i>
	    	</a>
	    </li>
	  </ul>
	</div>
	<ul class="nav nav-pills">
		<li class="active">
			<a href="#campaign"><?php  echo t('Campaign') ?></a>
		</li>
		<li><a href="#rules"><?php  echo t('Rules') ?></a></li>
		<li><a href="#submit"><?php  echo t('Submit Action') ?></a></li>
		<li><a href="#content"><?php  echo t('Content') ?></a></li>
	</ul>
</div>

<div class="ccm-ui ccm-pane-controls">

<div class="pill-stop">
	<form id="campaign-controller-form" method="post" action="<?php  echo $action ?>" 
		data-cid="<?php  echo $cID ?>" data-width="<?php  echo $campaignDialogSize[0] ?>" data-height="<?php  echo $campaignDialogSize[1] ?>">


		<h1 id="campaign" class="headerstyle"><?php  echo t('Campaign') ?></h1>

		<div data-val-summary class="val-summary"></div>

		<?php  echo $form->hidden('id', $campaign->id) ?>

	<div class="right-align-labels inline-group">
		<div class="clearfix">
			<?php  echo $form->label('active', t('Campaign active')) ?>
			<?php  echo $form->hidden('active', 0) ?>
			<?php  echo $form->checkbox('active', 1, $campaign->active || !$campaign->id) ?>
		</div>

			<?php  echo $form->hidden('name', $campaign->name) ?>


			<?php  echo $form->hidden('cID', $cID) ?>

		<div class="clearfix">
			<?php  echo $form->label('subpages', t('Display on subpages')) ?> 
				<?php  echo $form->checkbox('subpages', 0, false, array('disabled' => 'disabled')) ?>
				<?php  echo CcOptin::proFeatureLink("subpages"); ?>
			<i class="fa fa-lg fa-question-circle" data-toggle="tooltip" data-title="<?php  echo t('When enabled, the campaign will propagate to the subpages of this page, stopping when another active campaign is found.') ?>"></i>
		</div>
	</div>
	
		<h1 id="rules" class="headerstyle"><?php  echo t('Rules') ?></h1>

		<h2><?php  echo t('Display Opt-in form') ?></h2>

		<div class="rules-group inline-group">
			<div>
				<?php  echo $form->checkbox('rules[]', 8, $campaign->rules & 8) ?> 
				<span><?php  echo t('When the user visits the page for the %s time', $form->select('rule_showAfterVisits', $showMenu, $campaign->rule_showAfterVisits, array('style' => 'width: 100px;'))) ?></span>
			</div>
			<div class="val-field" data-val-field="rule_showAfterVisits"><?php  echo t('Show visits rule must be less than Hide visits rule.') ?></div>

			<div class="pro-feature">
				<?php  echo $form->checkbox('rule', 0, false, array('disabled' => 'disabled')) ?> 
				<?php  echo CcOptin::proFeatureLink("showscroll"); ?>
				<span><?php  echo t('When user scrolls to %s %% of page length', $form->number('rule_showScroll', $campaign->rule_showScroll, array('min' => 0, 'max' => 100))) ?></span>
				<i class="fa fa-lg fa-question-circle" data-toggle="tooltip" data-title="<?php  echo t('Use this setting for Slide-ins that will appear at the end of the page.') ?>"></i>
			</div>
			<div class="val-field" data-val-field="rule_showScroll"><?php  echo t('Select a number between 0-100.') ?></div>

			<div class="pro-feature">
				<?php  echo $form->checkbox('rule', 0, false, array('disabled' => 'disabled')) ?> 
				<?php  echo CcOptin::proFeatureLink("exitintention"); ?>
				<span><?php  echo t('When user wants to leave the page (exit intention)') ?> </span> 
				<i class="fa fa-lg fa-question-circle" data-toggle="tooltip" data-title="<?php  echo t('The campaign will display when the mouse pointer moves to the browser address bar.') ?>"></i>
			</div>

			<div class="pro-feature">
				<?php  echo $form->checkbox('rule', 0, false, array('disabled' => 'disabled')) ?> 
				<?php  echo CcOptin::proFeatureLink("afterseconds"); ?>
				<span><?php  echo t('After %s second(s)', $form->number('rule_afterSeconds', $campaign->rule_afterSeconds, array('min' => 0))) ?></span>
			</div>
			<div class="val-field" data-val-field="rule_afterSeconds"><?php  echo t('Select number of seconds of delay before displaying (can be zero).') ?></div>
		</div>
		
		<h2><?php  echo t('Hide Opt-in form') ?></h2>
		
		<div class="rules-group inline-group">
			<div>
				<?php  echo $form->checkbox('rules[]', 16, $campaign->rules & 16) ?> 
				<span><?php  echo t('When the user visits the page for the %s time', $form->select('rule_hideAfterVisits', $hideMenu, $campaign->rule_hideAfterVisits, array('style' => 'width: 100px;'))) ?></span>
			</div>
			
			<div class="pro-feature">
				<?php  echo $form->checkbox('rule', 0, false, array('disabled' => 'disabled')) ?> 
				<?php  echo CcOptin::proFeatureLink("hidescroll"); ?>
				<span><?php  echo t('When user scrolls to less than %s %% of page length', $form->number('rule_hideScroll', $campaign->rule_hideScroll, array('min' => 0, 'max' => 100))) ?></span>
				<i class="fa fa-lg fa-question-circle" data-toggle="tooltip" data-title="<?php  echo t('Use this setting if you want to hide a Slide-in when the user scrolls up on the page.') ?>"></i>
			</div>
			<div class="val-field" data-val-field="rule_hideScroll"><?php  echo t('Select a number between 0-100.') ?></div>
		</div>

		<p>&nbsp;</p>
		<h1 id="submit" class="headerstyle"><?php  echo t('Submit Action') ?> <i style="font-size:50%" class="fa fa-lg fa-question-circle" data-toggle="tooltip" data-title="<?php  echo t('What will happen when someone subscribes to the campaign.') ?>"></i></h1>

		<div class="val-field" data-val-field="submitActions"><?php  echo t('A submit action is required for the selected design.') ?></div>
		
		<div class="clearfix custom-page-select custom-checkbox-style custom-padding">
			<label for="sa_redirect" class="control-label">
					<?php  echo $form->checkbox('submitAction', 0, false, array('disabled' => 'disabled')) ?> 
					<span class="pro-feature"><?php  echo CcOptin::proFeatureLink("redirect"); ?> <?php  echo t('Go to page') ?></span>
			</label>
			<?php  echo $pageSelector2->selectPage('sa_redirect', $campaign->sa_redirect) ?>
			<div class="val-field" data-val-field="sa_redirect"><?php  echo t('Select a page to go to.') ?></div>
		</div>
		
		<div>
			<p><?php  echo $form->checkbox('submitActions[]', 2, $campaign->submitActions & 2, array('class' =>"contentToggle")) ?> <?php  echo t('Display message') ?></p>
			
			<div class="toggleThis" style="<?php  if($campaign->submitActions & 2) echo 'display:block'; ?>">
				<?php  echo $form->textarea("sa_displayMessage", $campaign->sa_displayMessage) ?>
			</div>
		</div>

		<div>
			<p class="pro-feature">
				<?php  echo $form->checkbox('submit', 0, false, array('disabled' => 'disabled')) ?>
				<?php  echo CcOptin::proFeatureLink("submitaction"); ?>
				<?php  echo t('Send e-mail') ?>
			</p>

			<div class="toggleThis" style="<?php  if($campaign->submitActions & 4) echo 'display:block'; ?>">
			</div>
		</div>
		
		<div class="pro-feature rules-group inline-group">
			<?php  echo $form->checkbox('submit', 0, false, array('disabled' => 'disabled')) ?> 
			<?php  echo CcOptin::proFeatureLink("closeafter"); ?>
			<span><?php  echo t('Close dialog after %s seconds', $form->number('sa_closeAfter', $campaign->sa_closeAfter, array('min' => 0))) ?></span>
		</div>
		<div class="val-field" data-val-field="sa_closeAfter"><?php  echo t('Select number of seconds of delay before closing (can be zero).') ?></div>

		<p>&nbsp;</p>

		<h1 id="content" class="headerstyle"><?php  echo t('Content') ?></h1>

		<h2><?php  echo t('Select type') ?></h2>

		<?php  echo $form->hidden('typeClass', $campaign->typeClass) ?>
		<div class="type-gallery" data-field="typeClass">
			<div class="gallery-item <?php  echo $campaign->typeClass == 1 ? 'selected' : '' ?>" data-gallery-item="1">
				<img src="<?php  echo $view->viewPath('img/popup.gif') ?>">
				<span class="caption"><?php  echo CcOptinType::$classNames[1] ?></span>
			</div>
			<div class="gallery-item <?php  echo $campaign->typeClass == 2 ? 'selected' : '' ?>" data-gallery-item="2">
				<img src="<?php  echo $view->viewPath('img/slidein.gif') ?>">
				<div class="caption">
					<?php  echo CcOptinType::$classNames[2] ?>
					<?php  echo CcOptin::proFeatureLink("slidein"); ?>
				</div>
			</div>
		</div>

		<h2>
			<?php  echo t('Select design') ?>
			<img class="ccm-scroller-loader" src="<?php  echo CcOptin::path('img/preloader.gif') ?>" style="display:none;" />
		</h2>

		<?php  
			$templates = CcOptinTemplate::listHandles($campaign->typeClass);
			$handle = $campaign->templateHandle();
		?>

		<?php  echo $form->hidden('templateHandle', $handle) ?>
		<div class="design-gallery" data-field="templateHandle">
			<?php  if(!count($templates)) { ?>
				<p style="text-align: center;"><?php  echo t('Select a type above to see available designs.') ?></p>
			<?php  } ?>
			<?php  $view->renderPartial('templates', array('handle' => $handle, 'templates' => $templates)) ?>
		</div>

		<div class="val-field" data-val-field="templateHandle"><?php  echo t('Select a design for the campaign.') ?></div>
		<p>&nbsp;</p>
		<p>&nbsp;</p>
		<p>&nbsp;</p>
		<p>&nbsp;</p>
		
	</form>
</div>
</div>
<div class="dialog-buttons" style="text-align:center;">
<button onclick="jQuery.fn.dialog.closeTop();" class="btn btn-default pull-left"><?php  echo t('Cancel')?></a>

<button id="save-campaign-button" class="btn btn-primary pull-right"><?php  echo $campaignIsNew ? t('Save and Edit content') : t('Save') ?></a>
<button id="edit-content-button" class="btn btn-info pull-right" style="margin-right:4px; <?php  if($campaignIsNew) echo 'display:none' ?>"><?php  echo t('Edit content') ?></a>

<?php  // Hidden link for content dialog: ?>
<a style="display:none;" id="cc-optin-edit-design-link" href="<?php  echo $editContentUrl ?>" 
data-width="<?php  echo $contentDialogSize[0] ?>" data-height="<?php  echo $contentDialogSize[1] ?>"></a>
</div>
