<?php 
namespace Concrete\Package\CcOptinFree\Controllers;

use Loader;
use View;

/**
* Static implementation for CcOptinIController, so it can be shared between controller classes.
* Should not be used anywhere else than this file.
*/
class CcOptinBaseController
{
	/**
	* For the c5 controllers.
	*/
	public static function outputJson($data) {
		header('Content-Type: application/json');
		echo Loader::helper('json')->encode($data);
		exit;
	}

	/**
	* Use together with actionform.coffee
	*/
	public static function outputJsonSuccess($text = true, $extraParams = null) {
		$output = $extraParams ? $extraParams : array();
		$output['success'] = $text;

		self::outputJson($output);
	}

	public static function outputJsonError($text = false, $extraParams = null) {
		$output = $extraParams ? $extraParams : array();

		if(!$output['error']) $output['error'] = array('summary' => $text);
		else $output['error']['summary'] = $text;

		self::outputJson($output);
	}

	public static function idList($array) {
		if(!is_array($array)) return array();
		$list = array();
		foreach ($array as $id) $list[] = intval($id);
		return $list;
	}

	public static function pageForbidden() {
		?>
		<h1 class="error"><?php  echo t('Page Forbidden')?></h1>

		<?php  echo t('You are not authorized to access this page.')?>
		<br/>
		<br/>

		<a href="<?php  echo DIR_REL?>/"><?php  echo t('Back to Home')?></a>.
		<?php 
	}
}
