// Generated by CoffeeScript 1.7.1
(function() {
  var CampaignTracker, _base,
    __bind = function(fn, me){ return function(){ return fn.apply(me, arguments); }; };

  (_base = window.ccOptin).models || (_base.models = {});

  CampaignTracker = (function() {
    function CampaignTracker(id) {
      this._cookies_save = __bind(this._cookies_save, this);
      this._cookies_current = __bind(this._cookies_current, this);
      this.setVisits = __bind(this.setVisits, this);
      this.addVisit = __bind(this.addVisit, this);
      this.visits = __bind(this.visits, this);
      this.id = id;
      this.cookie = $.cookie;
      this.name = 'cc_optin';
    }

    CampaignTracker.prototype.visits = function() {
      var i, id, kvp, visits, _i, _len, _ref, _ref1;
      _ref = this._cookies_current();
      for (i = _i = 0, _len = _ref.length; _i < _len; i = ++_i) {
        kvp = _ref[i];
        _ref1 = kvp.split(':'), id = _ref1[0], visits = _ref1[1];
        if ("" + id === "" + this.id) {
          return +visits;
        }
      }
      return 0;
    };

    CampaignTracker.prototype.addVisit = function() {
      return this.setVisits(this.visits() + 1);
    };

    CampaignTracker.prototype.setVisits = function(visits) {
      var campaigns, i, id, kvp, _, _i, _len, _ref;
      campaigns = this._cookies_current();
      for (i = _i = 0, _len = campaigns.length; _i < _len; i = ++_i) {
        kvp = campaigns[i];
        _ref = kvp.split(':'), id = _ref[0], _ = _ref[1];
        if ("" + id === "" + this.id) {
          campaigns[i] = this.id + ':' + visits;
          this._cookies_save(campaigns);
          return +visits;
        }
      }
      campaigns.push(this.id + ':' + visits);
      this._cookies_save(campaigns);
      return +visits;
    };

    CampaignTracker.prototype._cookies_current = function() {
      var campaigns;
      campaigns = this.cookie(this.name);
      if (campaigns != null ? campaigns.length : void 0) {
        return campaigns.split('|');
      } else {
        return [];
      }
    };

    CampaignTracker.prototype._cookies_save = function(campaigns) {
      var str;
      str = campaigns.join('|');
      return this.cookie(this.name, str, {
        expires: new Date(2030, 1, 1),
        path: '/'
      });
    };

    return CampaignTracker;

  })();

  window.ccOptin.DisplayCampaign = (function() {
    DisplayCampaign.editMode = false;

    function DisplayCampaign(trackerId, viewId, typeName, typeData, rules, submitActions) {
      this.__applyRules = __bind(this.__applyRules, this);
      this.__submitActions = __bind(this.__submitActions, this);
      this.__hide = __bind(this.__hide, this);
      this.__display = __bind(this.__display, this);
      this.display = __bind(this.display, this);
      if (!trackerId) {
        throw "id is required for the campaign object";
      }
      this.type = new ccOptin.models[typeName](typeData);
      this.rules = rules;
      this.actions = submitActions;
      this.tracker = new CampaignTracker(trackerId);
      this.view = $(viewId);
      this.form = this.view.find('form');
      this.isLowIE = $.fn.placeholder != null;
      if (!this.view.length) {
        throw "element " + viewId + " not found on page";
      }
      if ((this.rules.hideAfterVisits != null) && (this.rules.showAfterVisits == null)) {
        this.rules.showAfterVisits = 0;
      } else if ((this.rules.showAfterVisits != null) && (this.rules.hideAfterVisits == null)) {
        this.rules.hideAfterVisits = 4294967295;
      }
      this._tracked = false;
      this._submitted = false;
    }

    DisplayCampaign.prototype.display = function() {
      if (this._submitted) {
        return;
      }
      if (this.view.data('custom-selector')) {
        this.view.appendTo($(this.view.data('custom-selector')));
      }
      if (this.isLowIE) {
        this.form.find('input').placeholder();
      }
      if (!this._tracked && (this.rules.showAfterVisits != null)) {
        this.tracker.addVisit();
        this._tracked = true;
      }
      if (!$.isEmptyObject(this.actions) && this.form.length) {
        this.form.attr('action', this.view.data('action'));
        this.form.attr('method', 'POST');
        this.form.find('.cc-optin-loader').attr('data-val-loader', '');
        this.form.find('.cc-optin-summary').attr('data-val-summary', '');
        new ccOptin.AjaxForm({
          form: this.form,
          onSuccess: this.__submitActions
        });
      }
      return this.__applyRules();
    };

    DisplayCampaign.prototype.__display = function() {
      var testDisplay;
      testDisplay = (function(_this) {
        return function() {
          if (_this._submitted || ccOptin.DisplayCampaign.editMode) {
            return;
          }
          return _this.type.display(_this.view);
        };
      })(this);
      if (this.rules.afterSeconds != null) {
        return setTimeout(testDisplay, this.rules.afterSeconds * 1000);
      } else {
        return testDisplay();
      }
    };

    DisplayCampaign.prototype.__hide = function() {
      return this.type.hide(this.view);
    };

    DisplayCampaign.prototype.__submitActions = function(result) {
      var element;
      this._submitted = true;
      if ("displayMessage" in result) {
        element = this.view.find('.cc-optin-submitmessage');
        if (!element.length) {
          element = this.view;
        }
        return element.html(result.displayMessage);
      }
    };

    DisplayCampaign.prototype.__applyRules = function() {
      var displayNow, pageLoadDelay, sensitivity, testScroll, visits;
      if ("showAfterVisits" in this.rules) {
        visits = this.tracker.visits();
        if (visits < this.rules.showAfterVisits || visits >= this.rules.hideAfterVisits) {
          return;
        }
      }
      displayNow = true;
      pageLoadDelay = 500;
      setTimeout(this.__display, pageLoadDelay);
    };

    return DisplayCampaign;

  })();

  window.ccOptin.models.CcOptinPopup = (function() {
    function CcOptinPopup(data) {
      this.hide = __bind(this.hide, this);
      this.display = __bind(this.display, this);
      this.init = __bind(this.init, this);
      this._state = null;
    }

    CcOptinPopup.prototype.init = function($view) {
      return $view.on('ccplainmodalclose', (function(_this) {
        return function() {
          return _this._state = 'closed';
        };
      })(this));
    };

    CcOptinPopup.prototype.display = function($view) {
      var options;
      if (this._state === null) {
        this.init($view);
      }
      if (this._state === 'closed') {
        return;
      }
      this._state = 'open';
      $view.ccPlainModal('open');
    };

    CcOptinPopup.prototype.hide = function($view) {
      if (!this._state) {
        return;
      }
      $view.ccPlainModal('close');
      return this._state = 'closed';
    };

    return CcOptinPopup;

  })();

  window.ccOptin.models.CcOptinSlideIn = (function() {
    function CcOptinSlideIn(data) {
      this.hide = __bind(this.hide, this);
      this.display = __bind(this.display, this);
      this.init = __bind(this.init, this);
      this._state = null;
      this.vPos = 'bottom';
      this.hPos = 'right';
    }

    CcOptinSlideIn.prototype.init = function($view) {
    };

    CcOptinSlideIn.prototype.display = function($view) {
    };

    CcOptinSlideIn.prototype.hide = function($view, closed) {
      var animObj, _ref;
      if (closed == null) {
        closed = false;
      }
    };

    return CcOptinSlideIn;

  })();

}).call(this);
